//@import "../../../../../styles/color";
@import "libs/shared/assets/src/global-style/color";

.main-model {
  display: flex;
  justify-content: space-between;
  padding: 0.5rem;

  .main-model__left {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-weight: 500;
    h1 {
      font-weight: bold;
      font-size: 1.2rem;
      margin: 0;
      padding-left: 0.5rem;
    }
  }
}

.data-table-plan-assignment {
  .align-items-center {
    text-align: center;
  }

  ::ng-deep {
    .ant-table-thead > tr > td {
      font-weight: 400;
    }
    .pt-2em {
      padding-top: 2rem;
    }

    .ant-table-thead > tr > th {
      background: $color-th;
      font-weight: 600;
      color: $color-text-header;
    }
    .ant-table-tbody > tr > td.action-plan {
      span {
        display: flex;
        justify-content: space-around;
        button {
          cursor: pointer;
        }
      }
    }
  }
}

.content {
  z-index: 10;
  position: fixed;
  top: 9.5em;
  right: 2em;
}

@media screen and (max-width: 666px) {
  .content {
    position: static;
    margin-bottom: 25px;
  }
}
::ng-deep {
  .ant-tabs-card.ant-tabs-bottom > .ant-tabs-nav .ant-tabs-tab + .ant-tabs-tab,
    .ant-tabs-card.ant-tabs-bottom > div > .ant-tabs-nav .ant-tabs-tab + .ant-tabs-tab,
    .ant-tabs-card.ant-tabs-top > .ant-tabs-nav .ant-tabs-tab + .ant-tabs-tab,
    .ant-tabs-card.ant-tabs-top > div > .ant-tabs-nav .ant-tabs-tab + .ant-tabs-tab {
      margin-left: 0px;
    }
}
:host ::ng-deep {
  .ant-tabs-tab {
    width: 183px;
  }
  .ant-tabs-tab.ant-tabs-tab-active {
    width: 183px;
  }
}
.hightlight-text {
  color: $bg-warning-label !important;
}
